GNU bug report logs - #45828
guix build: error: got unexpected path `Backtrace:' from substituter

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Leo Famulari <leo@HIDDEN>; Keywords: fixed; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 45828 <at> debbugs.gnu.org and Leo Famulari <leo@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 14 Jan 2021 09:09:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 04:09:52 2021
Received: from localhost ([127.0.0.1]:37139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzydc-0005BY-93
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:09:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kzyda-0005BH-Nz
 for 45828 <at> debbugs.gnu.org; Thu, 14 Jan 2021 04:09:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46968)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kzydU-0005oD-6U; Thu, 14 Jan 2021 04:09:44 -0500
Received: from [2a01:e0a:19b:d9a0:1538:87ab:3a95:7600] (port=51944 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kzydT-0001W0-Ov; Thu, 14 Jan 2021 04:09:43 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
References: <X/4eBHwwQ+afS3Il@HIDDEN> <87turlai45.fsf@HIDDEN>
 <20210113011135.760c4faa@HIDDEN>
 <87o8htum2e.fsf@HIDDEN> <87pn29aqrr.fsf@HIDDEN>
Date: Thu, 14 Jan 2021 10:09:41 +0100
In-Reply-To: <87pn29aqrr.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Wed, 13 Jan 2021 14:51:52 +0100")
Message-ID: <87pn2751gq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45828
Cc: Julien Lepiller <julien@HIDDEN>, Christopher Baines <mail@HIDDEN>,
 45828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey Ludo,

>   1. Losing a connection to the daemon Does Not Happen=E2=84=A2 in normal
>      conditions.  Namely, upon =E2=80=98herd restart guix-daemon=E2=80=99=
, =E2=80=98guix
>      publish=E2=80=99 is automatically restarted.  One situation where =
=E2=80=98guix
>      publish=E2=80=99 is not restarted is if one does =E2=80=9Ckillall gu=
ix-daemon=E2=80=9D or
>      similar.  (Perhaps that=E2=80=99s something to fix in the Shepherd?)

Thanks for explaining. That's probably what caused the issue, as I
killed a bunch of guix-daemon forked processes that I suspected to be
deadlocked.

Maybe the Shepherd should indeed kill the whole process group and
restart the service and its dependencies when the "guix-daemon" process
or one of its child is killed.

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 13 Jan 2021 14:02:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 09:02:59 2021
Received: from localhost ([127.0.0.1]:34716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzgji-00020g-PV
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:02:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kzgjh-00020S-9B
 for 45828 <at> debbugs.gnu.org; Wed, 13 Jan 2021 09:02:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56514)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kzgjb-00029T-0m; Wed, 13 Jan 2021 09:02:51 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38560 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kzgjZ-0001aZ-7U; Wed, 13 Jan 2021 09:02:50 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
References: <X/4eBHwwQ+afS3Il@HIDDEN> <87turlai45.fsf@HIDDEN>
Date: Wed, 13 Jan 2021 15:02:48 +0100
In-Reply-To: <87turlai45.fsf@HIDDEN> (Christopher Baines's message of
 "Tue, 12 Jan 2021 22:46:34 +0000")
Message-ID: <87a6tdaq9j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45828
Cc: 45828 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Chris,

Christopher Baines <mail@HIDDEN> skribis:

> I might have managed to reproduce the error happening on the daemon
> side:
>
> =E2=86=92 /gnu/store/4j8vn0gbqz5adj1y02nnwcfwmqsjgj8s-guix-1.2.0-6.799f06=
6/bin/guix substitute --query
> info /gnu/store/3c01q1f16kljfry70qjg6cs6k8winfzg-guix-package-cache /gnu/=
store/6lk8anal4s62gk3d30vgxppykbd5jcfj-guix-85e97c969 /gnu/store/9zl2zbh3q2=
jnbfvxgnhw8j3f637ni7z4-guix-cli /gnu/store/ihricijvy16zwkd2n671xlyrn02sqhf9=
-guix-manual /gnu/store/m3j427qnlp81vsdj3x9ds7s4i051r1vz-guix-system-tests =
/gnu/store/mbv9j7wwqvwnr5awzbi126jdsj3h64h5-guix-packages /gnu/store/n2m1ay=
7kpa5f4fls4vvcy46ar1fdl0wk-guix-system /gnu/store/p4q9ajlb3l7x8xglqs6fflch2=
iwjqwaj-guix-module-union /gnu/store/snhx33fgjj2xnc5vy96sr3c8jqw9c7s0-guix-=
85e97c969-modules /gnu/store/vnrlvz9pxl5qrpy5x8y51v6awz7yzn8q-guix-packages=
-base /gnu/store/z4wj18vyzaas2yqb0577cc3japy4fi7z-guix-config /gnu/store/zd=
jfbsj1a94vdbbg9r0cx4jcqnwxazxs-guix-translated-texinfo
> Backtrace:
> In ice-9/boot-9.scm:
>   1736:10  5 (with-exception-handler _ _ #:unwind? _ # _)
> In unknown file:
>            4 (apply-smob/0 #<thunk 7f23d4f2e380>)
> In ice-9/boot-9.scm:
>     718:2  3 (call-with-prompt _ _ #<procedure default-prompt-handle=E2=
=80=A6>)
> In ice-9/eval.scm:
>     619:8  2 (_ #(#(#<directory (guile-user) 7f23d4b70f00>)))
> In guix/ui.scm:
>   2127:12  1 (run-guix-command _ . _)
> In guix/scripts/substitute.scm:
>    1256:4  0 (guix-substitute . _)
>
> guix/scripts/substitute.scm:1256:4: In procedure guix-substitute:
> Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.

It=E2=80=99s interesting that we=E2=80=99re not seeing 500 here, but a bad =
response.

I tried reproducing it locally (running =E2=80=9Csudo killall guix-daemon=
=E2=80=9D after
I had started =E2=80=9Cguix publish=E2=80=9D, and then running a command si=
milar to the
one above) but I failed: I get a proper 500 response, which =E2=80=98guix
substitute=E2=80=99 gracefully interprets as a transient error.

We could be defensive and catch 'bad-response.  The problem is that
there are other exceptions thrown by (web http) et al. and they=E2=80=99re =
not
quite documented so it=E2=80=99s not clear to me how to do it nicely.

Thoughts?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 13 Jan 2021 13:52:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 08:52:53 2021
Received: from localhost ([127.0.0.1]:34704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzgZx-0001ZD-IY
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:52:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kzgZw-0001Yz-1V
 for 45828 <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:52:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56359)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kzgZq-00062w-7U; Wed, 13 Jan 2021 08:52:46 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38480 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kzgZp-0002lE-AK; Wed, 13 Jan 2021 08:52:45 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
References: <X/4eBHwwQ+afS3Il@HIDDEN> <87turlai45.fsf@HIDDEN>
 <20210113011135.760c4faa@HIDDEN>
 <87o8htum2e.fsf@HIDDEN>
Date: Wed, 13 Jan 2021 14:52:43 +0100
In-Reply-To: <87o8htum2e.fsf@HIDDEN> (Mathieu Othacehe's message of "Wed, 13
 Jan 2021 12:13:13 +0100")
Message-ID: <87im81aqqc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45828
Cc: Julien Lepiller <julien@HIDDEN>, Christopher Baines <mail@HIDDEN>,
 45828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

I forgot to mention: running =E2=80=9Csudo herd restart guix-publish=E2=80=
=9D on berlin
a couple of hours ago solved the immediate problem.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 13 Jan 2021 13:52:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 08:52:03 2021
Received: from localhost ([127.0.0.1]:34701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzgZ9-0001Xu-1k
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:52:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kzgZ7-0001XR-BV
 for 45828 <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:52:01 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56348)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kzgZ1-0005eV-Tt; Wed, 13 Jan 2021 08:51:55 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38478 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kzgZ0-0002g1-Ih; Wed, 13 Jan 2021 08:51:54 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
References: <X/4eBHwwQ+afS3Il@HIDDEN> <87turlai45.fsf@HIDDEN>
 <20210113011135.760c4faa@HIDDEN>
 <87o8htum2e.fsf@HIDDEN>
Date: Wed, 13 Jan 2021 14:51:52 +0100
In-Reply-To: <87o8htum2e.fsf@HIDDEN> (Mathieu Othacehe's message of "Wed, 13
 Jan 2021 12:13:13 +0100")
Message-ID: <87pn29aqrr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45828
Cc: Julien Lepiller <julien@HIDDEN>, Christopher Baines <mail@HIDDEN>,
 45828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Mathieu Othacehe <othacehe@HIDDEN> skribis:

> There are errors in "/var/log/guix-publish.log" that could be the cause
> of this problem I think.
>
> GET /7m6mlzh0d6nifdxhaij7varg4q7lqdj4.narinfo
> In guix/scripts/publish.scm:
>     482:4  7 (render-narinfo/cached #<store-connection 256.99 7f916=E2=80=
=A6> =E2=80=A6)
>    487:12  6 (_ . _)
> In guix/store.scm:
>    1021:9  5 (_ #<store-connection 256.99 7f9165291230> "7m6mlzh0d6n=E2=
=80=A6")
>     619:2  4 (write-buffered-output #<store-connection 256.99 7f9165=E2=
=80=A6>)
> In unknown file:
>            3 (force-output #<output: string 7f91644a7690>)
> In guix/store.scm:
>     917:4  2 (write #vu8(29 0 0 0 0 0 0 0 32 0 0 0 0 0 0 0 55 109 =E2=80=
=A6) =E2=80=A6)
> In unknown file:
>            1 (put-bytevector #<input-output: socket 14> #vu8(29 0 =E2=80=
=A6) =E2=80=A6)
> In ice-9/boot-9.scm:
>   1669:16  0 (raise-exception _ #:continuable? _)
> In procedure fport_write: Broken pipe

As discussed on IRC today, the EPIPE above comes from talking to
guix-daemon, meaning that the store connection shown in the backtrace
has been closed by guix-daemon.

This can happen if guix-daemon was restarted but =E2=80=98guix publish=E2=
=80=99 wasn=E2=80=99t:
=E2=80=98guix publish=E2=80=99 opens only one connection to the store at st=
artup time,
and then never tries to re-open it.  There was an old bug on this topic:

  https://issues.guix.gnu.org/26705

Back then I marked it as =E2=80=98wontfix=E2=80=99 because:

  1. Losing a connection to the daemon Does Not Happen=E2=84=A2 in normal
     conditions.  Namely, upon =E2=80=98herd restart guix-daemon=E2=80=99, =
=E2=80=98guix
     publish=E2=80=99 is automatically restarted.  One situation where =E2=
=80=98guix
     publish=E2=80=99 is not restarted is if one does =E2=80=9Ckillall guix=
-daemon=E2=80=9D or
     similar.  (Perhaps that=E2=80=99s something to fix in the Shepherd?)

  2. Catching EPIPE in the right place is tricky.  Basically we=E2=80=99d
     probably need to install a 'system-error handler around each RPC
     (and offer callers a way to choose the EPIPE handling strategy),
     which would incur additional overhead.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.
Severity set to 'serious' from 'grave' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 13 Jan 2021 11:13:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 06:13:33 2021
Received: from localhost ([127.0.0.1]:34498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kze5h-0005Z9-5b
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 06:13:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1kze5c-0005Yo-3z
 for 45828 <at> debbugs.gnu.org; Wed, 13 Jan 2021 06:13:28 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54575)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1kze5V-0001Iv-Lb; Wed, 13 Jan 2021 06:13:17 -0500
Received: from [2a01:e0a:19b:d9a0:1538:87ab:3a95:7600] (port=57752 helo=cervin)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <othacehe@HIDDEN>)
 id 1kze5T-0006iE-QN; Wed, 13 Jan 2021 06:13:16 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
References: <X/4eBHwwQ+afS3Il@HIDDEN> <87turlai45.fsf@HIDDEN>
 <20210113011135.760c4faa@HIDDEN>
Date: Wed, 13 Jan 2021 12:13:13 +0100
In-Reply-To: <20210113011135.760c4faa@HIDDEN> (Julien
 Lepiller's message of "Wed, 13 Jan 2021 01:11:35 +0100")
Message-ID: <87o8htum2e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45828
Cc: Christopher Baines <mail@HIDDEN>, 45828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

There are errors in "/var/log/guix-publish.log" that could be the cause
of this problem I think.

--8<---------------cut here---------------start------------->8---
GET /7m6mlzh0d6nifdxhaij7varg4q7lqdj4.narinfo
In guix/scripts/publish.scm:
    482:4  7 (render-narinfo/cached #<store-connection 256.99 7f916=E2=80=
=A6> =E2=80=A6)
   487:12  6 (_ . _)
In guix/store.scm:
   1021:9  5 (_ #<store-connection 256.99 7f9165291230> "7m6mlzh0d6n=E2=80=
=A6")
    619:2  4 (write-buffered-output #<store-connection 256.99 7f9165=E2=80=
=A6>)
In unknown file:
           3 (force-output #<output: string 7f91644a7690>)
In guix/store.scm:
    917:4  2 (write #vu8(29 0 0 0 0 0 0 0 32 0 0 0 0 0 0 0 55 109 =E2=80=A6=
) =E2=80=A6)
In unknown file:
           1 (put-bytevector #<input-output: socket 14> #vu8(29 0 =E2=80=A6=
) =E2=80=A6)
In ice-9/boot-9.scm:
  1669:16  0 (raise-exception _ #:continuable? _)
In procedure fport_write: Broken pipe
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 13 Jan 2021 00:11:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 19:11:51 2021
Received: from localhost ([127.0.0.1]:33745 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzTlO-00045O-UX
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 19:11:51 -0500
Received: from lepiller.eu ([89.234.186.109]:60282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1kzTlL-00045F-T8
 for 45828 <at> debbugs.gnu.org; Tue, 12 Jan 2021 19:11:49 -0500
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 459e96ce;
 Wed, 13 Jan 2021 00:11:44 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=lepiller.eu; h=date:from
 :to:cc:subject:message-id:in-reply-to:references:mime-version
 :content-type:content-transfer-encoding; s=dkim; bh=J3mYxA4yfWTi
 JJ5DYgpT5jfMqdSoWOavKxy3k8FG1hA=; b=WQ1JwAkp9ynEBkGtzj32btdH6qBK
 LaG06hlo70xjsrAybK7PLfgCJjuLy6ql01vvTKP0CNNvEmU9C+BwTFUJQDNSsadH
 1w3cDYFZaN00xio2BDe8ii+J1GybJ/W3ny8MmcByC7qkqhbTGLU1VGjEMJbLFkSE
 vNQyZEuPuAPtIDirVvLILAVWCEQpwQorJrpIxdcpM7MF8admvtzzZCCYpSJS0MY2
 iknH3j5WENHVfvLDBIBzugADt7lwnUI4Y626i1d4g8LHj3HiWvD9zxTjg5hhiPt1
 cYJgstnoDxKJYoawCVxBzSD4l2LQa2PcxaLTfOd2aM+hHK3GvGuoef3mVQ==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id ca12f73c
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Wed, 13 Jan 2021 00:11:42 +0000 (UTC)
Date: Wed, 13 Jan 2021 01:11:35 +0100
From: Julien Lepiller <julien@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
Message-ID: <20210113011135.760c4faa@HIDDEN>
In-Reply-To: <87turlai45.fsf@HIDDEN>
References: <X/4eBHwwQ+afS3Il@HIDDEN>
	<87turlai45.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.8 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45828
Cc: 45828 <at> debbugs.gnu.org, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le Tue, 12 Jan 2021 22:46:34 +0000,
Christopher Baines <mail@HIDDEN> a =C3=A9crit :

> Leo Famulari <leo@HIDDEN> writes:
>=20
> > Recently, many people on the #guix IRC channel reported frequent
> > non-deterministic failures of any operation involving substitution,
> > like this:
> >
> > ------
> > $ ./pre-inst-env guix build --no-grafts poezio mpdris2 sonata
> > beets-bandcamp beets substitute:=20
> > guix build: error: got unexpected path `Backtrace:' from substituter
> > ------
> >
> > `guix describe` reports commit
> > b4384e61165623b16b77b8cab16c81423c6853ed for both my user's Guix
> > and the guix-dameon. =20
>=20
> I might have managed to reproduce the error happening on the daemon
> side:
>=20
> =E2=86=92
> /gnu/store/4j8vn0gbqz5adj1y02nnwcfwmqsjgj8s-guix-1.2.0-6.799f066/bin/guix
> substitute --query info
> /gnu/store/3c01q1f16kljfry70qjg6cs6k8winfzg-guix-package-cache
> /gnu/store/6lk8anal4s62gk3d30vgxppykbd5jcfj-guix-85e97c969
> /gnu/store/9zl2zbh3q2jnbfvxgnhw8j3f637ni7z4-guix-cli
> /gnu/store/ihricijvy16zwkd2n671xlyrn02sqhf9-guix-manual
> /gnu/store/m3j427qnlp81vsdj3x9ds7s4i051r1vz-guix-system-tests
> /gnu/store/mbv9j7wwqvwnr5awzbi126jdsj3h64h5-guix-packages
> /gnu/store/n2m1ay7kpa5f4fls4vvcy46ar1fdl0wk-guix-system
> /gnu/store/p4q9ajlb3l7x8xglqs6fflch2iwjqwaj-guix-module-union
> /gnu/store/snhx33fgjj2xnc5vy96sr3c8jqw9c7s0-guix-85e97c969-modules
> /gnu/store/vnrlvz9pxl5qrpy5x8y51v6awz7yzn8q-guix-packages-base
> /gnu/store/z4wj18vyzaas2yqb0577cc3japy4fi7z-guix-config
> /gnu/store/zdjfbsj1a94vdbbg9r0cx4jcqnwxazxs-guix-translated-texinfo
> Backtrace: In ice-9/boot-9.scm: 1736:10  5 (with-exception-handler _
> _ #:unwind? _ # _) In unknown file: 4 (apply-smob/0 #<thunk
> 7f23d4f2e380>) In ice-9/boot-9.scm: 718:2  3 (call-with-prompt _ _
> 7f23d4f2e380>#<procedure default-prompt-handle=E2=80=A6>) In ice-9/eval.s=
cm:
> 7f23d4f2e380>619:8  2 (_ #(#(#<directory (guile-user)
> 7f23d4f2e380>7f23d4b70f00>))) In guix/ui.scm: 2127:12  1
> 7f23d4f2e380>7f23d4b70f00>(run-guix-command _ . _) In
> 7f23d4f2e380>7f23d4b70f00>guix/scripts/substitute.scm: 1256:4  0
> 7f23d4f2e380>7f23d4b70f00>(guix-substitute . _)
>=20
> guix/scripts/substitute.scm:1256:4: In procedure guix-substitute:
> Throw to key `bad-response' with args `("Bad Response-Line: ~s"
> (""))'.
>=20
>=20
> It's hard to tell if that's actually consistent with the error
> though. Repeating the same test after the restart of guix-publish on
> ci.guix.gnu.org works without printing a backtrace.

During the issue, I tried to manually check what berlin had to say:

$ curl https://ci.guix.gnu.org/3c01q1f16kljfry70qjg6cs6k8winfzg.narinfo
-D-
HTTP/1.1 500 Internal Server Error Server: nginx
Date: Tue, 12 Jan 2021 22:34:01 GMT
Transfer-Encoding: chunked
Connection: keep-alive

and after the restart:

$ curl https://ci.guix.gnu.org/3c01q1f16kljfry70qjg6cs6k8winfzg.narinfo
-D-
HTTP/1.1 404 Not Found Server: nginx
Date: Tue, 12 Jan 2021 22:34:44 GMT
Content-Type: text/plain;charset=3Dutf-8
Content-Length: 61
Connection: keep-alive

Resource not found: /3c01q1f16kljfry70qjg6cs6k8winfzg.narinfo



So I tried to learn more about what happens, so I put the first
response in a file, `response`. I used netcat to provide the file over
the network:

nc -l -p 8080 < response

then I tried the following:

$ guix build /gnu/store/3c01q1f16kljfry70qjg6cs6k8winfzg-random
--substitute-urls=3Dhttp://localhost:8080
substitute:=20
guix build: error: got unexpected path `Backtrace:' from substituter

Then, I restarted the daemon to pass it this substitute url:
# guix-daemon --build-users-group=3Dguixbuild
--substitute-urls=3Dhttp://localhost:8080

and from another terminal:

$ /gnu/store/wr0shvj2dy8h8w2m1pil9r9798ai6nyy-guix-command substitute
--query info
/gnu/store/3c01q1f16kljfry70qjg6cs6k8winfzg-guix-package-cache
Backtrace: 2 (primitive-load "/gnu/store/wr0shvj2dy8h8w2m1pil9r9798a=E2=80=
=A6")
In guix/ui.scm:
  2127:12  1 (run-guix-command _ . _)
In guix/scripts/substitute.scm:
   1256:4  0 (guix-substitute . _)

guix/scripts/substitute.scm:1256:4: In procedure guix-substitute:
In procedure =3D: Wrong type argument in position 1: #f


So my backtrace is different. For some reason, it seems that guile
cannot read anything from the body of that response, but I don't know
what's happening:

In the REPL, the following:

,m (guix scripts substitute)
(call-with-input-file "response"
  (lambda (port)
    (let* ((r (read-response port))
           (body (response-body-port r)))
      (pk 'body body 'r r)
      (get-u8 body))))

Gives a backtrace:

;;; (body #<input: file 7f2394d804d0> r #<<response> version: (1 . 1)
code: 500 reason-phrase: "Internal Server Error Server: nginx" headers:
((date . #<date nanosecond: 0 second: 1 minute: 34 hour: 22 day: 12
month: 1 year: 2021 zone-offset: 0>) (transfer-encoding (chunked))
(connection keep-alive)) port: #<input: test 14>>)

ice-9/boot-9.scm:1669:16: In procedure raise-exception: In procedure =3D:
Wrong type argument in position 1: #f

In ice-9/ports.scm:
   445:17  3 (call-with-input-file _ _ #:binary _ #:encoding _ # _)
In unknown file:
           2 (get-u8 #<input: string 7f2394d804d0>)
In web/http.scm:
  1978:17  1 (read! #vu8(115 99 104 101 109 101 64 40 103 117 105 =E2=80=A6=
) =E2=80=A6)
In ice-9/boot-9.scm:
  1669:16  0 (raise-exception _ #:continuable? _)

HTH!




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.

Message received at 45828 <at> debbugs.gnu.org:


Received: (at 45828) by debbugs.gnu.org; 12 Jan 2021 22:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 17:46:45 2021
Received: from localhost ([127.0.0.1]:33594 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzSR3-0001hU-0Q
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 17:46:45 -0500
Received: from mira.cbaines.net ([212.71.252.8]:36544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kzSQy-0001hJ-Ov
 for 45828 <at> debbugs.gnu.org; Tue, 12 Jan 2021 17:46:43 -0500
Received: from localhost (188.29.101.63.threembb.co.uk [188.29.101.63])
 by mira.cbaines.net (Postfix) with ESMTPSA id A460227BC0F;
 Tue, 12 Jan 2021 22:46:39 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 7a2e2ca2;
 Tue, 12 Jan 2021 22:46:37 +0000 (UTC)
References: <X/4eBHwwQ+afS3Il@HIDDEN>
User-agent: mu4e 1.4.14; emacs 27.1
From: Christopher Baines <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#45828: guix build: error: got unexpected path `Backtrace:'
 from substituter
In-reply-to: <X/4eBHwwQ+afS3Il@HIDDEN>
Date: Tue, 12 Jan 2021 22:46:34 +0000
Message-ID: <87turlai45.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 45828
Cc: 45828 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Leo Famulari <leo@HIDDEN> writes:

> Recently, many people on the #guix IRC channel reported frequent
> non-deterministic failures of any operation involving substitution, like
> this:
>
> ------
> $ ./pre-inst-env guix build --no-grafts poezio mpdris2 sonata beets-bandc=
amp beets
> substitute:=20
> guix build: error: got unexpected path `Backtrace:' from substituter
> ------
>
> `guix describe` reports commit b4384e61165623b16b77b8cab16c81423c6853ed
> for both my user's Guix and the guix-dameon.

I might have managed to reproduce the error happening on the daemon
side:

=E2=86=92 /gnu/store/4j8vn0gbqz5adj1y02nnwcfwmqsjgj8s-guix-1.2.0-6.799f066/=
bin/guix substitute --query
info /gnu/store/3c01q1f16kljfry70qjg6cs6k8winfzg-guix-package-cache /gnu/st=
ore/6lk8anal4s62gk3d30vgxppykbd5jcfj-guix-85e97c969 /gnu/store/9zl2zbh3q2jn=
bfvxgnhw8j3f637ni7z4-guix-cli /gnu/store/ihricijvy16zwkd2n671xlyrn02sqhf9-g=
uix-manual /gnu/store/m3j427qnlp81vsdj3x9ds7s4i051r1vz-guix-system-tests /g=
nu/store/mbv9j7wwqvwnr5awzbi126jdsj3h64h5-guix-packages /gnu/store/n2m1ay7k=
pa5f4fls4vvcy46ar1fdl0wk-guix-system /gnu/store/p4q9ajlb3l7x8xglqs6fflch2iw=
jqwaj-guix-module-union /gnu/store/snhx33fgjj2xnc5vy96sr3c8jqw9c7s0-guix-85=
e97c969-modules /gnu/store/vnrlvz9pxl5qrpy5x8y51v6awz7yzn8q-guix-packages-b=
ase /gnu/store/z4wj18vyzaas2yqb0577cc3japy4fi7z-guix-config /gnu/store/zdjf=
bsj1a94vdbbg9r0cx4jcqnwxazxs-guix-translated-texinfo
Backtrace:
In ice-9/boot-9.scm:
  1736:10  5 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
           4 (apply-smob/0 #<thunk 7f23d4f2e380>)
In ice-9/boot-9.scm:
    718:2  3 (call-with-prompt _ _ #<procedure default-prompt-handle=E2=80=
=A6>)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#<directory (guile-user) 7f23d4b70f00>)))
In guix/ui.scm:
  2127:12  1 (run-guix-command _ . _)
In guix/scripts/substitute.scm:
   1256:4  0 (guix-substitute . _)

guix/scripts/substitute.scm:1256:4: In procedure guix-substitute:
Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.


It's hard to tell if that's actually consistent with the error
though. Repeating the same test after the restart of guix-publish on
ci.guix.gnu.org works without printing a backtrace.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAl/+JspfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XeAGA//f4sK5f2/I62DkqPNEI9Td/F50nAklOV9
JVjuictagJ6FUwXyrFQ6nVpB19pFqYA9u5SI06YNq69jk9PzhHxOElZRJbb5GG+n
ORr7GHRarVFlrsvmqT5fVuGgn1QY43E3mVpadi3UqOgzqh8JBw3HF04MZTY9GxSs
woXX0OvHDGYpmJSIe0EHdwEA5yZeMFcXbwvQe55P0C/Pt5Tki3TlG425xhWJwXix
cX2VpxPScQKMDySieQAXs5hHmPSsrqRYELnewVamOhuKJkhWwKaNDJYJOmFCEJss
erbhKdFVYQZ6d3L8VdmkrtA4WB37HED7hOy6HDfB2blS3PE5N0k0N1SA5645g07w
l5R/FhMkzx4DdcynO19AjcrrYnOJRxH29lISErpUBJzNoQbC1YuAd5ae/wogLmWi
+/QoY/+cPFQ6BQPRXyADpFfD8BkFHiIPWvToqTkk2lI2c/ua4HsvWZ96SNn3wNS2
N+Rjy0bJ6oXOpTBps6KIy54CKAlpuH1Axg4qHMkdMevbCdWNIzVAeqtErVUZJN2G
8iaCSfbPBBi3Z0awxR4LBo/0BhzSD3Syj21iqh1jTHrC8xa2FngNpD3o4EJ+4WyP
SlFUKSMksoMPEkESUCe3In1QXlq9s5OwzCYuolRzWIwK2VT0hDp3oJSCMrdBDZai
pGrHJ4FN5sY=
=nBGd
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.
Severity set to 'grave' from 'normal' Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Jan 2021 22:09:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 12 17:09:15 2021
Received: from localhost ([127.0.0.1]:33530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzRql-00052M-0S
	for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 17:09:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:38128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kzRqi-000527-3E
 for submit <at> debbugs.gnu.org; Tue, 12 Jan 2021 17:09:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:54246)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1kzRqh-0004Ct-V7
 for bug-guix@HIDDEN; Tue, 12 Jan 2021 17:09:11 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:58151)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <leo@HIDDEN>) id 1kzRqg-0006Gh-D0
 for bug-guix@HIDDEN; Tue, 12 Jan 2021 17:09:11 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id D55F05C0605;
 Tue, 12 Jan 2021 17:09:09 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Tue, 12 Jan 2021 17:09:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:subject:message-id:mime-version:content-type; s=
 mesmtp; bh=S/G9tIgX628bjzFYnvGQFPeookAVoq1VGrQPPo7Ub3Q=; b=ok8md
 zN8WuxPWtVzeMQHAoMgb9FjeJlzbILDdlfaTlFIoJByrpEzjPQ9J3kgq6DNKQUCm
 +vOHfqWmQFWHK45A+eGqx7M4hPjc2zWvHY3woBeVOAmY3lVMfBP9naUPkQd1RmOJ
 1x13s94a5wFGaOnBV/WxfxUPiZ4gi0oEBdWXLI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=S/G9tIgX628bjzFYnvGQFPeookAVo
 q1VGrQPPo7Ub3Q=; b=dM4fMHjqmyUWga9nVjuY0mmKhlfLHxYMU2ac8WkJWdB/p
 ZjTdXYIPXYLzAqo6I69QlBqBxe0l8BtzMWDfWQCZ6mvReYqsfp0lNJ8N4S2m0mcd
 1SDsPsjXy/vD38BzX3WdWcJrhrnLRsp0Ce2r0J5k6we6EMtbSo//BVTGRBmNsxhD
 X6+Fxmla2p9/eajPkOOUpTC+udKZzIsNkEvChrBuLZKIKl4v+7rdxPYh7VRllFie
 LYRZAdfFFtEo5+cEpsAdJRQ/ZD9ntXXLDHyoKMPyT5mz2zz0GX0br6UZvBM9eUTV
 Ln4kdflyeWwccTToAcNnkqYQELENGaXW+aewXpQvw==
X-ME-Sender: <xms:BR7-X2NvJAt03kkyymkKAkZMsIyoenbjNdt3EX-ooaoMaSf2qiC5MQ>
 <xme:BR7-X0970EtYZfytIHPiS8lzkLehakvcv3yjg4vB4_CcBhnwOUFwzSlqAypY-8J_c
 FaTRY6DTCHL2OeruA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedukedrtddtgdduvdehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkgggtugesthdtredttd
 dtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhi
 rdhnrghmvgeqnecuggftrfgrthhtvghrnhepffehtdeffedtvdeuieefudeujedvkeehff
 euieejgfdvteelgeehgeefheehuddunecukfhppedutddtrdduuddrudeiledruddukeen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghose
 hfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:BR7-X9TSwbwQfzAX1yIvql42-MaarbVilOHWVtKAy4vb8fp5B9CU4g>
 <xmx:BR7-X2uoRPpmv5b4mSowB1slCsx-c2ZxSZgX0xODVk9aDSG0z9Gzaw>
 <xmx:BR7-X-ebc4eJyOknZV-na4hkAz2FFZRzNY8cGRyDhZeTZ_DAjyltGg>
 <xmx:BR7-X4pDgDNZQhqMR6Z_Ns6gHNUDTzphujaSOOfjXCqaem_WjN0_bA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id A01E724005C
 for <bug-guix@HIDDEN>; Tue, 12 Jan 2021 17:09:09 -0500 (EST)
Date: Tue, 12 Jan 2021 17:09:08 -0500
From: Leo Famulari <leo@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix build: error: got unexpected path `Backtrace:' from substituter
Message-ID: <X/4eBHwwQ+afS3Il@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Received-SPF: pass client-ip=66.111.4.27; envelope-from=leo@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Recently, many people on the #guix IRC channel reported frequent
non-deterministic failures of any operation involving substitution, like
this:

------
$ ./pre-inst-env guix build --no-grafts poezio mpdris2 sonata beets-bandcamp beets
substitute: 
guix build: error: got unexpected path `Backtrace:' from substituter
------

`guix describe` reports commit b4384e61165623b16b77b8cab16c81423c6853ed
for both my user's Guix and the guix-dameon.




Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#45828; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Jan 2021 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.